
Redmine - Defect #34038

Redmine won't send emails in latest version 

2020-09-27 17:46 - Ryan Glenn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

When I set my configuration.yml file to the following:

production:

email_delivery:

delivery_method: :smtp

smtp_settings:

enable_starttls_auto: true

tls: true

address: smtp.gmail.com

port: 587

domain: myfakewebsite.com # 'your.domain.com' for GoogleApps

authentication: :plain

user_name: myemail@gmail.com

password: mypassword

It does not send any errors and in fact, the delivery job starts but no emails are sent:

Processing by IssuesController#create as HTML

Parameters: {"utf8"=>"✓",

"authenticity_token"=>"wptmfLyG+egOAgXjAsL24PEMQbmaxE0fjZtccvTAvxsfL27nC+kLytii01wvdrzb6HIhHrpFLr5e6mYxRKBi5g=="

, "form_update_triggered_by"=>"", "issue"=>{"is_private"=>"0", "tracker_id"=>"2", "subject"=>"test", "description"=>"test123",

"status_id"=>"1", "priority_id"=>"2", "assigned_to_id"=>"", "category_id"=>"", "fixed_version_id"=>"", "parent_issue_id"=>"",

"start_date"=>"", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0", "custom_field_values"=>{"1"=>""},

"watcher_user_ids"=>[""]}, "was_default_status"=>"1", "commit"=>"Create", "project_id"=>"hvs_game"}

Current user: Daniel (id=5)

[ActiveJob] Enqueued ActionMailer::DeliveryJob (Job ID: a984c191-91dd-456f-9538-f001076692cd) to Async(mailers) with

arguments: "Mailer", "issue_add", "deliver_now", #<GlobalID:0x000000000f43bd68 昇吾 津江=#<URI::GID gid://redmine-app/User/5>>,

#<GlobalID:0x000000000f43b5e8 昇吾 津江=#<URI::GID gid://redmine-app/Issue/67>>

Redirected to http://192.168.1.54:3000/issues/67

Completed 302 Found in 53ms (ActiveRecord: 18.6ms)

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd] Performing ActionMailer::DeliveryJob (Job ID:

a984c191-91dd-456f-9538-f001076692cd) from Async(mailers) with arguments: "Mailer", "issue_add", "deliver_now",

#<GlobalID:0x000000000f47f978 昇吾 津江=#<URI::GID gid://redmine-app/User/5>>, #<GlobalID:0x000000000f47f1d0 昇吾 津江

=#<URI::GID gid://redmine-app/Issue/67>>

Started GET "/issues/67" for 192.168.1.51 at 2020-09-27 11:41:23 -0400

Processing by IssuesController#show as HTML

Parameters: {"id"=>"67"}

Current user: Daniel (id=5)

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd]   Rendering mailer/issue_add.text.erb within

layouts/mailer

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd]   Rendered mailer/_issue.text.erb (8.6ms)

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd]   Rendered mailer/issue_add.text.erb within

layouts/mailer (11.4ms)

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd]   Rendering mailer/issue_add.html.erb within

layouts/mailer

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd]   Rendered mailer/_issue.html.erb (2.4ms)

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd]   Rendered mailer/issue_add.html.erb within

layouts/mailer (5.9ms)

[ActiveJob] [ActionMailer::DeliveryJob] [a984c191-91dd-456f-9538-f001076692cd] Performed ActionMailer::DeliveryJob (Job ID:

a984c191-91dd-456f-9538-f001076692cd) from Async(mailers) in 55.88ms
History

#1 - 2020-09-27 17:51 - Ryan Glenn

[ActiveJob] [ActionMailer::DeliveryJob] [b2c5e16c-a030-49c8-8203-ac1620fe21a7] Error performing ActionMailer::DeliveryJob (Job ID:

b2c5e16c-a030-49c8-8203-ac1620fe21a7) from Async(mailers) in 136.39ms: OpenSSL::SSL::SSLError (SSL_connect returned=1 errno=0

state=error: wrong version number):

https://i.imgur.com/6rXCFBA.png

I didn't notice this tick box and when I uncheck it, I now get this error.

#2 - 2020-09-27 19:17 - Ryan Glenn

If I turn off SSL and tls then I get this error:

[ActiveJob] [ActionMailer::DeliveryJob] [899b1c6a-3e5a-4b92-b7d6-124ec81e9ef3] Error performing ActionMailer::DeliveryJob (Job ID:

899b1c6a-3e5a-4b92-b7d6-124ec81e9ef3) from Async(mailers) in 21130.18ms: Errno::ETIMEDOUT (A connection attempt failed because the

connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond. -

connect(2) for "smtp.gmail.com" port 25):

#3 - 2020-09-28 02:29 - Go MAEDA

I think it is not a bug of Redmine but a configuration issue of your environment.

Could you use forums for questions? Issues are used to report a bug, suggesting a new feature, or submitting a patch. Reading How to request help

may be helpful for you.

#4 - 2020-09-28 13:43 - Ryan Glenn

I created a forum thread https://www.redmine.org/boards/2/topics/59985

I'm not sure if anyone actively replies to this though.

#5 - 2020-12-20 12:29 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid
